> For the complete documentation index, see [llms.txt](https://docs.shrinefox.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shrinefox.com/flowscript/messagescript/markup.md).

# Markup

You can change the appearance of text in a `.MSG` by inserting the following **commands** in brackets into your message.

## Commands

* `[clr`` `**`x`**`]` **Text color**. Affects all text after the tag until the end of the line (\[e]).
  * **x** is a number between 0 and 30.
* `[n]` **Linebreak**. Put this between some text to make it show up on a new line ingame.
* `[w]` **Wait**. Makes the game await user input before moving on to the next line.
* `[vp`` `**`w x y z`**` ``0 0]` **Voice Pack**. Makes the game play a voice clip.
  * **w** = eventIdMajor
  * **x** = eventIdMinor
  * **y** = eventIdSub
  * **z** = cueId
* `[bup 0`` `**`x y z`**` ``0]` **Bustup**. Shows a character's talking sprite during dialog.
  * **x** = characterId
  * **y** = expressionId
  * **z** = customeId
  * **Lip flap** will animate if this command is followed by `[f 4 10 -1 0 0]`.

### Colors

| Index | Color              | Hex Value  |
| ----- | ------------------ | ---------- |
| 0     | White              | `#FFFFFF`  |
| 1     | Light Blue         | `#72C5FF`  |
| 2     | Light Red          | `#FF423F`  |
| 3     | Light Yellow       | `#FFFF76`  |
| 4     | Light Green        | `#69FF65`  |
| 5     | Dark Brown         | `#50321E`  |
| 6     | Dark Orange        | `#DC6E00`  |
| 7     | White              | `#FFFFFF`  |
| 8     | Dark Brown         | `#50321E`  |
| 9     | Red                | `#FF1800`  |
| 10    | Dark Red           | `#BA0000`  |
| 11    | Blue               | `#1200FFF` |
| 12    | Dark Blue          | `#1F00BA`  |
| 13    | Green              | `#0AC000`  |
| 14    | Dark Green         | `#078600`  |
| 15    | Purple             | `#9D00EF`  |
| 16    | Dark Purple        | `#78008E`  |
| 17    | Dark Yellow        | `#BF9D02`  |
| 18    | Pink               | `#FF0391`  |
| 19    | Dark Pink          | `#FF00FC`  |
| 20    | Darker Pink        | `#DB0054`  |
| 21    | Light Teal         | `#00AEFF`  |
| 22    | Dark Brown         | `#90401A`  |
| 23    | Light Black        | `#161616`  |
| 24    | Dark Gray          | `#404040`  |
| 25    | Gray               | `#656565`  |
| 26    | Dark Yellow        | `#E6B625`  |
| 27    | White              | `#FFFFFFF` |
| 28    | Dark Teal          | `#99BBD3`  |
| 29    | Really Light Brown | `#E4D4C7`  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.shrinefox.com/flowscript/messagescript/markup.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
